WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WP Flipclock

Quickly and easily add a flipclock to your site’s posts and pages via a shortcode.

WP Flipclock is a plugin that allows you to quickly and easily add a flipclock to your site’s posts and pages via a shortcode.

The plugin allows you to count down or up from a specific date, as well as choose whether you count down days, hours or minutes.

To use the plugin in your site, all you need to add to the page is the [flipclock] shortcode. There are various attributes you can add as well:-

  • name - Give the flipclock a name. Default is “flipclock”. If you have more than one flipclock on any page it’s useful to give them unique names.
  • countdown (True/False) - Allows you to count down to a date (true), or count up from a date (false). Default is false.
  • date – Any date string, formatted how you like, which the clock will count up from/down to. Default is none.
  • face (days/hours/minutes) - The face of the clock. Default is hours. Options are:-

  • days – Days : Hours : Minutes : Seconds

  • hours - Hours : Minutes : Seconds
  • minutes - Minutes : Seconds

  • lang - Changes the language of the labels (days,hours,minutes,seconds). Supported languages: English, Russian, Spanish, French, German.

  • timezone - Sets timezone for date. Now it shows the correct time before the event. The time zones have unique names in the form "Area/Location", e.g. "America/New_York".
  • seconds - Hides|shows seconds in face-mode "days".

*1 - shows seconds *0 - hide seconds

This plugin uses the Flipclock.js library from ObjectiveHTML.

Further support and examples are on the WP Flipclock Documentation page.

About Winwar Media

This plugin is made by Winwar Media, a WordPress Development and Training Agency in Manchester, UK.

Why don't you?

For Support

We offer support in two places:-

On Github

This project is now on github, you can view the repository here. There are other versions, but this is the one I've put up, so where all the developmental will be tracked.

Requires: 3.8.1 or higher
Compatible up to: 3.9.2
Last Updated: 2015-2-23
Active Installs: 900+

Ratings

5 out of 5 stars

Support

2 of 3 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.